package com.antoniofrische.perifericosAdvisor.dao;

import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

import org.springframework.util.ResourceUtils;

import com.antoniofrische.perifericosAdvisor.model.Periferico;


public class UtilPerifericoFileReader {

	public static List<Periferico> readFile(final String path, final String separator, final String listSeparator) {
		
		List<Periferico> result = new ArrayList<>();


		try {
			
			result = Files
						.lines(Paths.get(ResourceUtils.getFile(path).toURI()))
						.skip(1)
						.map(line -> {
							String[] values = line.split(separator);
							return new Perifericos(Long.parseLong(values[0]), values[1], values[2],values[3],values[4],values[5],Boolean.parseBoolean(values[6]));
						}).collect(Collectors.toList());
		} catch (Exception e) {
			System.err.println("Error de lectura del fichero de datos: imdb_data");
			System.exit(-1);
		}

		return result;

	}

}
