package com.antoniofrische.perifericosAdvisor.model;

public class Periferico {
	private  int id;
	private  String marca;
	private  String nombre;
	private  String descripcion;
	private  String tipo;
	private  String color;
	private  boolean ifcable;
	
	public Periferico(int id, String marca, String nombre, String descripcion, String tipo, String color,boolean ifcable) {
		this.id = id;
		this.marca = marca;
		this.nombre = nombre;
		this.descripcion = descripcion;
		this.tipo = tipo;
		this.color = color;
		this.ifcable = ifcable;
	}

	public int getId() {
		return id;
	}

	public String getMarca() {
		return marca;
	}

	public String getNombre() {
		return nombre;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public String getTipo() {
		return tipo;
	}

	public String getColor() {
		return color;
	}

	public boolean isIfcable() {
		return ifcable;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((color == null) ? 0 : color.hashCode());
		result = prime * result + ((descripcion == null) ? 0 : descripcion.hashCode());
		result = prime * result + id;
		result = prime * result + (ifcable ? 1231 : 1237);
		result = prime * result + ((marca == null) ? 0 : marca.hashCode());
		result = prime * result + ((nombre == null) ? 0 : nombre.hashCode());
		result = prime * result + ((tipo == null) ? 0 : tipo.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Periferico other = (Periferico) obj;
		if (color == null) {
			if (other.color != null)
				return false;
		} else if (!color.equals(other.color))
			return false;
		if (descripcion == null) {
			if (other.descripcion != null)
				return false;
		} else if (!descripcion.equals(other.descripcion))
			return false;
		if (id != other.id)
			return false;
		if (ifcable != other.ifcable)
			return false;
		if (marca == null) {
			if (other.marca != null)
				return false;
		} else if (!marca.equals(other.marca))
			return false;
		if (nombre == null) {
			if (other.nombre != null)
				return false;
		} else if (!nombre.equals(other.nombre))
			return false;
		if (tipo == null) {
			if (other.tipo != null)
				return false;
		} else if (!tipo.equals(other.tipo))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "perifericos [id=" + id + ", marca=" + marca + ", nombre=" + nombre + ", descripcion=" + descripcion
				+ ", tipo=" + tipo + ", color=" + color + ", ifcable=" + ifcable + "]";
	}
	
	
	
}
